import request from '@/utils/request'

// 查询加重钻杆列表
export function listJtzjJzzg(query) {
  return request({
    url: '/jtzj/jtzjJzzg/list',
    method: 'get',
    params: query
  })
}

// 查询加重钻杆详细
export function getJtzjJzzg(id) {
  return request({
    url: '/jtzj/jtzjJzzg/' + id,
    method: 'get'
  })
}

// 新增加重钻杆
export function addJtzjJzzg(data) {
  return request({
    url: '/jtzj/jtzjJzzg',
    method: 'post',
    data: data
  })
}

// 修改加重钻杆
export function updateJtzjJzzg(data) {
  return request({
    url: '/jtzj/jtzjJzzg',
    method: 'put',
    data: data
  })
}

// 删除加重钻杆
export function delJtzjJzzg(id) {
  return request({
    url: '/jtzj/jtzjJzzg/' + id,
    method: 'delete'
  })
}
